{% extends 'phpstore/base.html.twig' %}

{% block css %}
    {{ encore_entry_link_tags('search-page') }}
{% endblock %}
{% block jsscript %}
    {{ encore_entry_script_tags('search-page') }}
{% endblock %}

{% block title %}PhpStore.com.ua{% endblock %}
{% block description %}Поиск статей на сайте{% endblock %}
{% block keywords %}статьи, php{% endblock %}


{% block breadcrumbs %}
    <div class="breadcrumbs">
        <span><a href="/">Главная</a> / </span>
        <span><a href="#">Поиск</a></span>
    </div>
{% endblock %}
{% block content %}
    <div class="search-page-wrapper">
        <div class="row">
            <div class="col-lg-12">
                <div class="wrapp-box">
                    <div class="header-search-page">
                        <p>Результаты поиска: <span>{{ query }}</span></p>
                    </div>
                    <div class="search-result">
                        {% if result.articles is empty %}
                            <div class="empty-result">
                                <p>По запросу ничего не найдено. Введите другой запрос...</p>
                            </div>
                        {% else %}
                            <div class="search-result-block">
                                <p class="title-result">Статьи <span class="count">(найдено {{ result.count }})</span></p>
                                {% for article in result.articles %}
                                    {{ include('phpstore/views/catalog-article/catalog-article.html.twig', {'article': article}) }}
                                {% endfor %}
                            </div>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}